javax.persistence

## Class PersistenceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.persistence.PersistenceException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    EntityExistsException, EntityNotFoundException, LockTimeoutException, NonUniqueResultException, NoResultException, OptimisticLockException, PessimisticLockException, QueryTimeoutException, RollbackException, TransactionRequiredException

      public class PersistenceException
      extends RuntimeException

  Thrown by the persistence provider when a problem occurs. All instances of `PersistenceException` except for instances of `NoResultException`, `NonUniqueResultException`, `LockTimeoutException`, and `QueryTimeoutException` will cause the current transaction, if one is active and the persistence context has been joined to it, to be marked for rollback.
  Since:
    Java Persistence 1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistenceException()` Constructs a new `PersistenceException` exception with `null` as its detail message.
    `PersistenceException(String message)` Constructs a new `PersistenceException` exception with the specified detail message.
    `PersistenceException(String message, Throwable cause)` Constructs a new `PersistenceException` exception with the specified detail message and cause.
    `PersistenceException(Throwable cause)` Constructs a new `PersistenceException` exception with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistenceException

          public PersistenceException()

      Constructs a new `PersistenceException` exception with `null` as its detail message.

    - #### PersistenceException

          public PersistenceException(String message)

      Constructs a new `PersistenceException` exception with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### PersistenceException

          public PersistenceException(String message,
                              Throwable cause)

      Constructs a new `PersistenceException` exception with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - the cause.

    - #### PersistenceException

          public PersistenceException(Throwable cause)

      Constructs a new `PersistenceException` exception with the specified cause.
      Parameters:
        `cause` - the cause.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.